ServerEvents.tags("item", event => {
    event.add('createbigcannons:stone', [
        'quark:limestone',
        'alexcaves:limestone',
        'create:limestone'
    ])

    event.add('create_alexscaves_compat:limestone_blocks', [
        'quark:limestone',
        'alexcaves:limestone',
        'create:limestone'
    ])

    event.add('forge:steel_ingot', [
        'create_ironworks:steel_ingot',
        'createmetallurgy:steel_ingot',
        'createnuclear:steel_ingot',
        'tfmg:steel_ingot',
    ])

    event.add('forge:ingots/bronze', [
        'create_ironworks:bronze_ingot'
    ])

    event.add('forge:nuggets/bronze', [
        'create_ironworks:bronze_nugget'
    ])

    event.add('forge:basalt_blocks', [
        'alexscaves:flood_basalt',
        'minecraft:basalt',
        'minecraft:polished_basalt',
        'minecraft:smooth_basalt',
    ])

    event.add('forge:coal', [
        'minecraft:coal',
        'minecraft:charcoal',
    ])

    event.add('forge:ores', [
        'create_new_age:thorium_ore',
        'create_new_age:magnetite_block',
    ])

    event.add('forge:raw_materials', [
        'create_new_age:thorium',
        'alexscaves:uranium',
    ])

    event.add('forge:crystals', [
        'regions_unexplored:prismarite_cluster',
        'regions_unexplored:hanging_prismarite_cluster',
        'regions_unexplored:large_prismarite_cluster',
        /^quark:\w+_corundum_cluster/
    ])

    event.add('forge:ingots', [
        'alexscaves:uranium',
    ])

    event.add('forge:ingots/anthralite', [
        'scguns:anthralite_ingot'
    ])

    event.add('forge:nuggets/anthralite', [
        'scguns:anthralite_nugget'
    ])

    event.add('forge:storage_blocks/anthralite', [
        'scguns:anthralite_block'
    ])

    event.add('dynamiclights:light_level/15', [
        'hardcore_torches:lit_torch',
        'hardcore_torches:lit_lantern'
    ])

    event.add('dynamiclights:light_level/12', [
        'alexscaves:bioluminescent_torch'
    ])

    event.add('dynamiclights:light_level/9', [
        'hardcore_torches:lit_soul_torch',
        'hardcore_torches:lit_soul_lantern'
    ])

    event.add('forge:plates/obsidian', [
        'create:sturdy_sheet'
    ])

    // event.add('forge:plates/constantan', [
    //     'kubejs:constantan_plate'
    // ])

    // event.add('forge:plates/nickel', [
    //     'kubejs:nickel_plate'
    // ])

    event.add('forge:nuggets/metal', [
        'minecraft:iron_nugget',
        'minecraft:gold_nugget',
        'create:copper_nugget',
        'create:zinc_nugget',
        'create:brass_nugget',
        'createdeco:netherite_nugget',
        'createdeco:industrial_iron_nugget',
        'oreganized:silver_nugget',
        'oreganized:electrum_nugget',
        'vintage:vanadium_nugget',
        'scguns:anthralite_nugget',
    ])

    event.add('forge:storage_blocks/constantan', [
        'kubejs:constantan_block'
    ])
})



ServerEvents.tags("block", event => {
    const missingCreateRadarBlocks = [
        'create_radar:plane_radar',
        'create_radar:identification_transponder',
        'create_radar:radar_warning_receiver'
    ]

    event.remove('minecraft:mineable/pickaxe', missingCreateRadarBlocks)
    event.remove('minecraft:mineable/axe', missingCreateRadarBlocks)

    event.add('forge:ores', [
        'create_new_age:thorium_ore',
        'create_new_age:magnetite_block'
    ])
})



ServerEvents.tags('worldgen/biome', event => {
    event.add('alexscaves:has_uranium', [
        'alexscaves:toxic_caves',
        'create_new_age:magnetite_block'
    ])

    event.add('minecraft:has_ender_pearl', [
        'minecraft:warped_forest'
    ])

    event.add('minecraft:is_river', [
        'regions_unexplored:cold_river',
        'regions_unexplored:muddy_river',
        'regions_unexplored:tropical_river'
    ])

    event.add('minecraft:is_the_end', [
        'minecraft:end_highlands',
        'minecraft:end_midlands',
        'minecraft:small_end_islands',
        'minecraft:end_barrens',
        'nullscape:void_barrens',
        'nullscape:shadowlands',
        'nullscape:crystal_peaks'
    ])

    event.add('minecraft:has_ooze', [
        'minecraft:end_highlands',
        'minecraft:end_midlands'
    ])
})
